### Function

# Fwupd version_format_to_string

since: 1.2.9

#### Declaration [src]

    const gchar*
    fwupd_version_format_to_string (
      FwupdVersionFormat kind
    )

#### Description [src]

Converts an enumerated version format to text.

Available since: 1.2.9

#### Parameters

`kind`

  Type: `FwupdVersionFormat`

  A version format, e.g. `FWUPD_VERSION_FORMAT_TRIPLET`.

#### Return value

Type: `const gchar*`

A string, e.g. `quad`, or `NULL` if not known.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.